2021-01-25 15:01 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000111Frama-CKernelpublic2009-06-23 18:03
Reporternstouls 
Assigned Tosignoles 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Beryllium-20090601-beta1 
Summary0000111: Compilation error if options --with-jessie-static --with-ltl_to_acsl-static are present.
DescriptionWith ocamlc 3.10.2
If the configure script is launched with following options :

    --with-jessie-static --with-ltl_to_acsl-static


then this error occurs during compilation:

Ocamlc src/lib/dynlink_common_interface.cmo
The implementation src/lib/dynlink_common_interface.ml
does not match the interface src/lib/dynlink_common_interface.cmi:
The field `is_native' is required but not provided
make: *** [src/lib/dynlink_common_interface.cmo] Erreur 2


Removing configure options resolves the problem.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000126

signoles (manager)

Should be fixed now but difficult to test with ocaml 3.11. Could you confirm that this bug is resolved?

~0000127

nstouls (reporter)

It works fine with 3.10.2.
Thanks.
+Notes

-Issue History
Date Modified Username Field Change
2009-06-02 11:25 nstouls New Issue
2009-06-02 12:04 signoles Status new => assigned
2009-06-02 12:04 signoles Assigned To => signoles
2009-06-02 12:04 svn
2009-06-02 12:04 svn Status assigned => resolved
2009-06-02 12:04 svn Resolution open => fixed
2009-06-02 12:05 signoles Note Added: 0000126
2009-06-02 12:07 signoles Status resolved => feedback
2009-06-02 12:07 signoles Resolution fixed => reopened
2009-06-02 12:39 nstouls Note Added: 0000127
2009-06-02 12:43 signoles Status feedback => resolved
2009-06-02 12:43 signoles Resolution reopened => fixed
2009-06-23 18:02 signoles Status resolved => closed
2009-06-23 18:03 signoles Fixed in Version => Frama-C Beryllium beta-1
+Issue History